Package be.fgov.ehealth.samcivics.type.v2

# Class PriceType

java.lang.Object
be.fgov.ehealth.samcivics.type.v2.BaseType
be.fgov.ehealth.samcivics.type.v2.PriceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class PriceType extends BaseType implements Serializable

Java class for PriceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PriceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="PriceAmnt" type="{urn:be:fgov:ehealth:samcivics:type:v2}AmountType" minOccurs="0"/>
             <element name="ReimbBasePrice" type="{urn:be:fgov:ehealth:samcivics:type:v2}AmountType" minOccurs="0"/>
             <element name="ReferenceBasePrice" type="{urn:be:fgov:ehealth:samcivics:type:v2}AmountType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PriceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AmountType`
  `getPriceAmnt()`
  Gets the value of the priceAmnt property.
  `AmountType`
  `getReferenceBasePrice()`
  Gets the value of the referenceBasePrice property.
  `AmountType`
  `getReimbBasePrice()`
  Gets the value of the reimbBasePrice property.
  `void`
  `setPriceAmnt(AmountType value)`
  Sets the value of the priceAmnt property.
  `void`
  `setReferenceBasePrice(AmountType value)`
  Sets the value of the referenceBasePrice property.
  `void`
  `setReimbBasePrice(AmountType value)`
  Sets the value of the reimbBasePrice property.

  ### Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType

  `getEndDate, getStartDate, setEndDate, setStartDate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PriceType

    public PriceType()

- ## Method Details

  - ### getPriceAmnt

    public AmountType getPriceAmnt()
    Gets the value of the priceAmnt property.
    Returns:
      possible object is `AmountType`

  - ### setPriceAmnt

    public void setPriceAmnt(AmountType value)
    Sets the value of the priceAmnt property.
    Parameters:
      `value` - allowed object is `AmountType`

  - ### getReimbBasePrice

    public AmountType getReimbBasePrice()
    Gets the value of the reimbBasePrice property.
    Returns:
      possible object is `AmountType`

  - ### setReimbBasePrice

    public void setReimbBasePrice(AmountType value)
    Sets the value of the reimbBasePrice property.
    Parameters:
      `value` - allowed object is `AmountType`

  - ### getReferenceBasePrice

    public AmountType getReferenceBasePrice()
    Gets the value of the referenceBasePrice property.
    Returns:
      possible object is `AmountType`

  - ### setReferenceBasePrice

    public void setReferenceBasePrice(AmountType value)
    Sets the value of the referenceBasePrice property.
    Parameters:
      `value` - allowed object is `AmountType`